Index: trunk/client/modules/Elezioni/blocchi/02_risultati.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/02_risultati.php	(revision 383)
+++ trunk/client/modules/Elezioni/blocchi/02_risultati.php	(revision 384)
@@ -12,7 +12,7 @@
 }
 
-global $descr_cons,$circo,$genere;
+global $descr_cons,$circo,$genere,$id_circ,$id_sez;
 
-
+#echo "TEST: id_circ=$id_circ - circo=$circo - sez=$id_sez<br>";
 if($genere!='0'){ // referendum e circoscrizionali
     list ($gruppo,$pro)=grupporss();
Index: trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- trunk/client/modules/Elezioni/consiglieri.php	(revision 383)
+++ trunk/client/modules/Elezioni/consiglieri.php	(revision 384)
@@ -265,5 +265,5 @@
 	}
 	#seleziona la lista (o liste) con piÃ¹ voti
-	$sql = "SELECT t1.descrizione, t2.id_lista,t2.num_lista, sum(t2.voti) as voti from ".$prefix."_ele_voti_lista as t2 left join ".$prefix."_ele_lista as t1 on t1.id_lista=t2.id_lista where t2.id_cons='$id_cons' group by t2.id_lista,t2.num_lista, t1.descrizione order by voti desc";
+	$sql = "SELECT t1.descrizione, t2.id_lista,t2.num_lista, t2.num_gruppo, sum(t2.voti) as voti from ".$prefix."_ele_voti_lista as t2 left join ".$prefix."_ele_lista as t1 on t1.id_lista=t2.id_lista where t2.id_cons='$id_cons' group by t2.id_lista,t2.num_lista,t2.num_gruppo, t1.descrizione order by voti desc";
 	$res_per = $dbi->prepare("$sql");
 	$res_per->execute();
@@ -279,5 +279,6 @@
 	$prevoti=0;
 	$lav=0;
-	while(list($descr_lista,$id_lista2,$num_lista,$voti)= $res_per->fetch(PDO::FETCH_NUM)){
+#aggiungo $num_gruppo per creare due array, uno per le liste di maggioranza e uno per la minoranza, le liste che non raggiungono il 5% vengono escluse 
+	while(list($descr_lista,$id_lista2,$num_lista,$num_gruppo,$voti)= $res_per->fetch(PDO::FETCH_NUM)){
 		if($voti<$prevoti) 
 			if($num_lista!=$lisvin)
@@ -301,4 +302,5 @@
 				$prevoti=$voti;
 				$varmag=1;
+				$contalst++;
 				continue;
 			}
@@ -410,5 +412,5 @@
 if ($fisso==1){
 	#seleziona il sindaco (gruppo con piÃ¹ voti) e lista collegata
-	$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione, t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc limit 0,1";
+	$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione, t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione order by voti desc limit 0,1";
 	$res_per = $dbi->prepare("$sql");
 	$res_per->execute();
Index: trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- trunk/client/modules/Elezioni/funzioni.php	(revision 383)
+++ trunk/client/modules/Elezioni/funzioni.php	(revision 384)
@@ -250,9 +250,8 @@
 global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$circondt1 ;
 
-		
-
-	  if($genere=='4' || $votog) $tab="ele_voti_lista";
-	  else $tab="ele_voti_gruppo";
-	  if($circo and !$circondt1) $circondt1="and t1.id_circ=$id_circ"; 
+	if($circo and !$id_circ) $id_circ=$_SESSION['id_circ'];
+	if($genere=='4' || $votog) $tab="ele_voti_lista";
+	else $tab="ele_voti_gruppo";
+	if($circo and !$circondt1) $circondt1="and t1.id_circ=$id_circ"; 
       
   
@@ -261,5 +260,4 @@
 	$res->execute();
 
-	
 	$numero=$res->rowCount();
 	$sql="select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1";
@@ -268,9 +266,10 @@
 
 	if ($res) $sezioni=$res->rowCount();else $sezioni=0;
+	$pro=array(); $gruppo=array();
 	if ($numero>0){
 		if ($genere!=0){
 			$sql="select sum(voti)  from ".$prefix."_$tab where id_cons='$id_cons' ";
-	$restotv = $dbi->prepare("$sql");
-	$restotv->execute();
+			$restotv = $dbi->prepare("$sql");
+			$restotv->execute();
  
 			list($tot)  = $restotv->fetch(PDO::FETCH_NUM);
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 383)
+++ trunk/client/modules/Elezioni/index.php	(revision 384)
@@ -163,5 +163,5 @@
 
 			if ($circo){ // elenco per scelta circoscrizione
-				echo "</td></tr><tr><td></td><td  class=\"bggray\"><table class=\"table-80\"><tr><td class=\"table-main\"><form id=\"circo\" method=\"post\" action=\"modules.php\">";
+				echo "</td></tr><tr><td colspan=\"2\" class=\"bggray\"><table class=\"table-80\"><tr><td class=\"table-main\"><form id=\"circo\" method=\"post\" action=\"modules.php\">";
 				$sql="SELECT id_circ,descrizione,num_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons";
 	$res_sez = $dbi->prepare("$sql");
@@ -184,5 +184,5 @@
 			}
 	echo ""._DISCLAIMER."";
-	echo  "</td></tr></table>";
+	echo  "</td></tr></table></br>";
       }
   }
Index: trunk/client/modules/Elezioni/votanti-inc.php
===================================================================
--- trunk/client/modules/Elezioni/votanti-inc.php	(revision 383)
+++ trunk/client/modules/Elezioni/votanti-inc.php	(revision 384)
@@ -19,5 +19,5 @@
 if (isset($param['minsez'])) $minsez=intval($param['minsez']); else $minsez='';
 if (isset($param['id_lista'])) $id_lista=intval($param['id_lista']); else $id_lista='';
-if (isset($param['id_circ'])) $id_circ=intval($param['id_circ']); else $id_circ='';
+if (isset($param['id_circ'])) $id_circ=intval($param['id_circ']); else $id_circ=0;
 if (isset($param['csv'])) $csv=intval($param['csv']); else $csv='';
 if (isset($param['min'])) $min=intval($param['min']); else $min= 0;
@@ -52,4 +52,8 @@
 $res->execute();
 list($tipo_cons,$genere,$id_cons) = $res->fetch(PDO::FETCH_NUM);
+global $lang,$circo,$id_circ;
+if(isset($circo)) $_SESSION['id_circ']=$id_circ;
+if (isset($circo) and $circo) {$circos="and t2.id_circ='$id_circ'"; $circos4="and t4.id_circ='$id_circ'";}
+else {$circos=''; $circos4='';}
 if (isset($param['ops'])) $ops=$param['ops']; else $ops='';
 if (isset($param['pag'])) $pag=$param['pag']; else $pag=0;
@@ -69,5 +73,5 @@
 //controllo_finale($id_cons);
 
-global $prefix, $dbi,$id_circ,$lang, $fascia, $limite, $votog;
+global $lang, $fascia, $limite, $votog;
 include_once("modules/Elezioni/language/lang-$lang.php");
 # testata
@@ -176,20 +180,23 @@
 $resg->execute();
 list($idg,$numg) = $resg->fetch(PDO::FETCH_NUM);
-$sql="SELECT id_sez,num_sez,t1.id_sede as id_sede,t2.id_circ as id_circ FROM ".$prefix."_ele_sezioni as t1,".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede order by num_sez ";
+$sql="SELECT id_sez,num_sez,t1.id_sede as id_sede,t2.id_circ as id_circ FROM ".$prefix."_ele_sezioni as t1,".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez ";
 $res = $dbi->prepare("$sql");
 $res->execute();
 $max = $res->rowCount(); //quante sezioni?
-$sql="SELECT id_sez,num_sez,t1.id_sede as id_sede,t2.id_circ as id_circ FROM ".$prefix."_ele_sezioni as t1,".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede order by num_sez ";
+$sql="SELECT id_sez,num_sez,t1.id_sede as id_sede,t2.id_circ as id_circ FROM ".$prefix."_ele_sezioni as t1,".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez ";
 $res = $dbi->prepare("$sql");
 $res->execute();
 $num_sez = $res->rowCount(); //quante sezioni?
-for ($i=1;$i<=$num_sez;$i++){
-	$sezione[$i]=$res->fetch(PDO::FETCH_BOTH); //inizializza l'array delle sezioni
-	$ar[$i]=0;
-}
+#for ($i=1;$i<=$num_sez;$i++){
+$i=1;	
+while ($sezione[$i] = $res->fetch(PDO::FETCH_BOTH)) $ar[$i++]=0;
+
+#	$sezione[$i]=$res->fetch(PDO::FETCH_BOTH); //inizializza l'array delle sezioni
+	
+#}
 $tab3="_ele_voti_lista";
 if ($genere>0) {  //se non e' un referendum
 	if (!($genere==4) and $pag==0){  //se non e' una lista uninominale ed e' la prima pagina
-		$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0','0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0',t2.voti_nulli FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 group by t2.id_sez,t2.num_sez,t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,t2.voti_nulli order by t2.num_sez ";
+		$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0','0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0',t2.voti_nulli FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 $circos4 group by t2.id_sez,t2.num_sez,t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,t2.voti_nulli order by t2.num_sez ";
 	}else{ // e' una lista uninominale o la seconda pagina
 		# voto disgiunto regione sicilia aggiunge il campo solo lista
@@ -198,10 +205,10 @@
 		FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix.$tab3." as t2 on (t1.id_sez=t2.id_sez)
 		left join ".$prefix."_ele_sede as t4 on (t1.id_sede=t4.id_sede)
-		where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons group by t1.id_sez,t1.num_sez,t1.solo_gruppo,t1.solo_lista,t1.validi,t1.nulli,t1.bianchi,t1.contestati,t4.id_circ,t1.id_sede,t1.voti_nulli order by t1.num_sez ";
+		where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circos4 group by t1.id_sez,t1.num_sez,t1.solo_gruppo,t1.solo_lista,t1.validi,t1.nulli,t1.bianchi,t1.contestati,t4.id_circ,t1.id_sede,t1.voti_nulli order by t1.num_sez ";
 		}else{
 		$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,'0',t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0',t1.voti_nulli
 		FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix.$tab3." as t2 on (t1.id_sez=t2.id_sez)
 		left join ".$prefix."_ele_sede as t4 on (t1.id_sede=t4.id_sede)
-		where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons group by t1.id_sez,t1.num_sez,t1.solo_gruppo,t1.validi,t1.nulli,t1.bianchi,t1.contestati,t4.id_circ,t1.id_sede,t1.voti_nulli order by t1.num_sez ";
+		where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circos4 group by t1.id_sez,t1.num_sez,t1.solo_gruppo,t1.validi,t1.nulli,t1.bianchi,t1.contestati,t4.id_circ,t1.id_sede,t1.voti_nulli order by t1.num_sez ";
 		}
 	}
@@ -213,5 +220,5 @@
 	FROM ".$prefix."_ele_voti_ref as t1 left join ".$prefix."_ele_sezioni as t2 on (t1.id_sez=t2.id_sez)
 	left join  ".$prefix."_ele_gruppo as t3 on (t1.id_gruppo=t3.id_gruppo) left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede)
-	where t1.id_cons='$id_cons' and t1.id_gruppo='$idg' order by t2.num_sez ";
+	where t1.id_cons='$id_cons' and t1.id_gruppo='$idg' $circos4 order by t2.num_sez ";
 	$riga1  = "<div style=\"margin:0px auto;text-align:center;\">";
 	$riga1  .="<h2>"._DETTAGLIO." "._VOTIE."</h2></div>";
@@ -257,6 +264,6 @@
 	$nulli+=$votinulli;
 	// inserimento numeri di sez non scrutinate
-	while ($scrutinate < $num) { 
-		$righe.= "<tr><td><span style=\"color: rgb(255, 0, 0);\">$scrutinate</span></td></tr>\n";
+	while ($sezione[$scrutinate][1] < $num) { 
+		$righe.= "<tr><td><span style=\"color: rgb(255, 0, 0);\">".$sezione[$scrutinate][1]."</span></td></tr>\n";
 		$scrutinate++;
 	}
@@ -308,8 +315,9 @@
 	<td>$contestati</td></tr>";
 }
-if ($num<$num_sez) {
-	for (;$scrutinate<=$num_sez;$scrutinate++) {
-		$righe .= "<tr><td>";
-		$righe .="<span style=\"color: rgb(255, 0, 0);\">$scrutinate</span></td></tr>";
+#if ($num<$num_sez)
+if(isset($sezione[$scrutinate][1]) and $num<$sezione[$scrutinate][1])	{
+	while(isset($sezione[$scrutinate][1])) {
+		$righe .= "<tr><td align=\"center\">";
+		$righe .="<span style=\"color: rgb(255, 0, 0);\">".$sezione[$scrutinate++][1]."</span></td></tr>";
 	}
 }