Index: trunk/admin/modules/Elezioni/ele_spoglio.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 389)
+++ trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 390)
@@ -956,4 +956,7 @@
 		$tot_pref=0;
 		$totsg=0;
+		$pro=[];
+		$pro['voti']='';
+		$pro['solo_gruppo']='';
 		while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo) = $result->fetch(PDO::FETCH_NUM)){
 			echo "<SCRIPT type=\"text/javascript\">\n\n<!--\n"
@@ -1009,6 +1012,6 @@
 					$res = $dbi->prepare("$sql");
 					$res->execute();
-					$pro= $res->fetch(PDO::FETCH_BOTH);
-					if(!$res->rowCount()) {$pro['voti']=''; $pro['solo_gruppo']='';}
+					if($res->rowCount())
+						$pro= $res->fetch(PDO::FETCH_BOTH);
 					$errcolor='';
 					if(isset($errgrulis[$id_gruppo])) {$errcolor="style=\"background-color: rgb(255, 0, 0);\"";}
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 389)
+++ trunk/admin/versione.php	(revision 390)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 389";
+$versione = "3.0 rev 390";
 $version_number = $versione;
-$datarel = "30 gennaio 2023";
+$datarel = "23 febbraio 2023";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: trunk/client/modules/Elezioni/crea_paginaphp5.php
===================================================================
--- trunk/client/modules/Elezioni/crea_paginaphp5.php	(revision 389)
+++ trunk/client/modules/Elezioni/crea_paginaphp5.php	(revision 390)
@@ -26,5 +26,5 @@
 	$res->execute();
 	list($descr_com,$simbolo,$stemma) = $res->fetch(PDO::FETCH_NUM);
-	$datipdf=stripslashes($datipdf);
+	$datipdf=stripslashes("$datipdf");
 	$data=date("d-m-y G:i");
 	if ($xls==1) {
Index: trunk/client/modules/Elezioni/crea_paginaphp7.php
===================================================================
--- trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 389)
+++ trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 390)
@@ -29,5 +29,5 @@
 	$res->execute();
 	list($descr_com,$simbolo,$stemma) = $res->fetch(PDO::FETCH_NUM);
-	$datipdf=stripslashes($datipdf);
+	$datipdf=stripslashes("$datipdf");
 	$data=date("d-m-y G:i");
 	if ($xls==1) {
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 389)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 390)
@@ -25,4 +25,5 @@
 if (isset($param['min'])) $min=intval($param['min']); else $min= 0;
 if (isset($param['orvert'])) $orvert=intval($param['orvert']); else $orvert='';
+if (isset($param['grupposg']) and $param['grupposg']) $grupposg=TRUE; else $grupposg=FALSE;
 if (isset($param['offset'])) $offset=intval($param['offset']); else $offset='';
 if (isset($param['offsetsez'])) $offsetsez=intval($param['offsetsez']); else $offsetsez='';
@@ -90,5 +91,5 @@
 	global $prefix, $dbi, $descr_cons, $id_cons, $id_cons_gen,$tipo_cons,$votog,$votol,$votoc,$circo, $genere,$id_gruppo,$id_lista,$bgcolor1,$bgcolor2,$id_comune,$descr_comune,$id_circ;
 	global $id_comune,$id_cons_gen,$op,$minsez,$id_lista,$id_circ,$csv,$min,$orienta,$formato,$dettnulli,$disgiunto,
-	$orvert,$offset,$offsetsez,$perc,$info,$files,$nomefile;
+	$orvert,$grupposg,$offset,$offsetsez,$perc,$info,$files,$nomefile;
 	$nomefile="";
 	#Denominazione pagine
@@ -129,5 +130,11 @@
 		$colonne='';
 	}
-
+	if ($grupposg) {
+		$vissg='';
+		$novissg='checked';
+	}else{
+		$vissg='checked';
+		$novissg='';
+	}		
 	if ($orienta) {
 		$land='';
@@ -137,5 +144,4 @@
 		$port='';
 	}
-
 	if ($formato) {
 		$A3='';
@@ -253,5 +259,5 @@
 
 			if ($circo) {$condcirc="and t5.id_circ=$id_circ";$condcircdes="and t2.id_circ=$id_circ";}
-			$sqldesc="select '','', t1.num_cand, concat(t1.cognome,' ', t1.nome) as nome, '','','','','','' 
+			$sqldesc="select '','', t1.num_cand, concat(t1.cognome,' ', t1.nome) as nome, '','','','','','','' 
 			from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_lista as t2
 			where t1.id_lista=$id_lista
@@ -260,5 +266,5 @@
 			order by t1.num_cand";
 
-			$sqlvoti="select $tab2, t1.num_cand, concat(t1.cognome,' ', t1.nome) as nome, sum(t2.voti),'','','','','' 
+			$sqlvoti="select $tab2, t1.num_cand, concat(t1.cognome,' ', t1.nome) as nome, sum(t2.voti),'','','','','','' 
 			from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2, "
 			.$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4, ".$prefix."_ele_circoscrizione as t5
@@ -285,5 +291,6 @@
 			// 4 aprile 2006 by luc
 #echo "TEST; Condizione scelta lista/gruppo: if ($votog && $tab==gruppo)<br>circo: $circo -- condcirc: $condcirc<br>";
-			$tabns=$tab;
+			$tabns=$tab; 
+			$ecampo=",''";
 			if ($votog && $tab=="gruppo"){ // camera e senato 2006
 				$t="t9";
@@ -294,4 +301,5 @@
 				$and_1="and t1.id_gruppo=t9.id_gruppo";
 			}else{
+				if($dettnulli and $tab=="gruppo") $ecampo=",sum(t2.solo_gruppo)";
 				$t="t1";
 				$tab15=$tab;
@@ -324,5 +332,5 @@
 			order by t1.num_$tab15";
 #include("TEST:$sqldesc");
-			$sqlvoti="select $tab2, $t.num_$tab15, $t.descrizione, sum(t2.voti), $votigl
+			$sqlvoti="select $tab2, $t.num_$tab15, $t.descrizione, sum(t2.voti), $votigl $ecampo
 			from 
 			".$prefix."_ele_$tab as t1, 
@@ -401,15 +409,22 @@
 				$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff:1;				 
 				$offsetsez_p=$offsetsez-$diff;
-				echo "<div style=\"float: right; width:200px;margin-left:10px;margin-right:400px;font-size:12px \"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;id_lista=$id_lista\"> <- $tipo2 Precedenti</a></div>";
+				echo "<div style=\"float: right; width:200px;margin-left:10px;margin-right:400px;font-size:12px \"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;grupposg=$grupposg&amp;id_lista=$id_lista\"> <- $tipo2 Precedenti</a></div>";
 			}else{echo "";}
 			if ($offsetsez<$numsezmax){
 				$minsez_s=$minsez+$diff;
 				$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff;
-				echo "<div style=\"float: left; width:200px; margin-left:10px;\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> $tipo2 Successive -></a></div>";
+				echo "<div style=\"float: left; width:200px; margin-left:10px;\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;grupposg=$grupposg&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> $tipo2 Successive -></a></div>";
 			}else{echo "";}	
 			if(!$circo)				
 				echo "<div style=\"margin-left:10px;\"><br/>"._MOSTRA." $tipo2 "._PERCOL."<input type=\"radio\" name=\"orvert\" $righe value=\"0\"></input>"._PERRIGHE." <input
 				type=\"radio\" name=\"orvert\" $colonne value=\"1\"></input>";
+				
 			echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input></div>";
+			echo "<p>";
+			if($dettnulli and $tab=="gruppo") {
+				echo ""._MOSTRA." "._SOLO_GRUPPO.": <input type=\"checkbox\" name=\"grupposg\" value=\"true\"";
+				if($grupposg=='true') echo " checked=\"true\"";
+				echo "></input><br/>";
+			}			
 			echo "<p>";
 			if (!strstr( $op,'candidato')) {
@@ -488,8 +503,8 @@
 				 echo "<div style=\"text-align:right;width:65%;margin-left:10px;margin-right:0px;font-size:12px; \">";
 				 echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 280px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
-				 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+				 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;grupposg=$grupposg&amp;id_lista=$id_lista&amp;id_circ=$id_circ\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
 				}else{ 
-					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
-					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
+					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;grupposg=$grupposg&amp;id_lista=$id_lista\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;grupposg=$grupposg&amp;id_lista=$id_lista&amp;xls=1\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
 					echo "<img class=\"image\"  src=\"modules/Elezioni/images/rss.png\" alt=\"Export rss\" />";				
 					echo "	</td>";				
@@ -508,4 +523,5 @@
 					echo "<input type=\"hidden\" name=\"offsetsez\" value=\"$offsetsez\"></input>";		
 					echo "<input type=\"hidden\" name=\"perc\" value=\"$perc\"></input>";	
+					echo "<input type=\"hidden\" name=\"grupposg\" value=\"$grupposg\"></input>";	
 					echo "<input type=\"hidden\" name=\"id_lista\" value=\"$id_lista\"></input>";
 					echo "<input type=\"hidden\" name=\"pdf\" value=\"1\"></input>";
@@ -630,8 +646,8 @@
 #				$voticompl+=$voti;
 			}
-			if ($voticompl) {
+#			if ($voticompl) {
 				$res_voti = $dbi->prepare("$sqlvoti");
 				$res_voti->execute();
-			}
+#			}
 			$piuvot=0;                    
 
@@ -653,77 +669,77 @@
 #			for ($z=1;$z<=($offsetsez-$ominsez);$z++)
  #				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
-				$onetime=""; 
-				if ($res_voti)
-				{
-					while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){
-						$z=array_search($num_circ, $pos);
-						$valar[($z)][$num_cand]=$voti;
+			$onetime=""; 
+			if ($res_voti)
+			{
+				while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){
+					if(!isset($votitot[$z])) $votitot[$z]=0;
+					$z=array_search($num_circ, $pos);
+					if ($z) {$valar[($z)][$num_cand]=$voti; $votitot[($z)]+=$voti;}						
+				}
+#echo "TEST: fase 1 num rec: su $z - $num_cand voti:".$voti."<br>";
+				foreach ($valar as $key=>$val){ 
+					if(isset($votitot[($key)]))
+						$percar[$key]=arrayperc($val,$votitot[($key)]);
+						
+				} 
+				$res_voti = $dbi->prepare("$sqlvoti");
+				$res_voti->execute();
+				if (!$res_voti->rowCount()) { 
+					$res_voti = $dbi->prepare("$sqldesc");
+					$res_voti->execute();
+				}	
+				
+				while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli,$votisg) = $res_voti->fetch(PDO::FETCH_NUM)){ 
+					if($num_cand<$min or $num_cand>$offset) continue;
+				if($genere==4) $sevalidi=$voti;
+
+					if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
+					$temp[$num_cand]+=intval($voti);
+					if (!isset($tempsg[$num_cand])) $tempsg[$num_cand]=0;
+					$tempsg[$num_cand]+=intval($votisg);
+					$z=array_search($num_circ, $pos); 
+					if (!$z) $z=$minpos; 
+					if ($num_cand>=$min and $num_cand<=$offset){
+						if(($num_circ>=$minpos and $num_circ <=$maxpos) or $num_circ==''){
+							$ar[0][$num_cand]=$num_cand.") ".$nome;
+							if ($desc_circ && $onetime!=$desc_circ) {$ar[($z)][0].=") ".$desc_circ; $onetime=$desc_circ;}
+							$percento=$voti;
+							if ($perc=='true' and $voti) 
+							{
+								$percento.="<br /><span class=\"red\" style=\"font-size:80%;\"><i>".number_format($percar[$z][$num_cand],2)." %</i></span>";
+							}
+							if($grupposg) $percento.="<br /><span style=\"color:blue;font-size:80%;\">".$votisg." </span>";
+							$ar[($z)][$num_cand]=$percento;
+						}	
 					}
-
-					foreach ($valar as $key=>$val){ 
-						if(isset($votitot[($key)]))
-							$percar[$key]=arrayperc($val,$votitot[($key)]);
-							
+					if (!strstr( $op,'candidato')){
+						if (!isset($tempar[$num_cand])) $tempar[$num_cand]=0;
+						$tempar[$num_cand]+=intval($voti);
 					}
-				#	if($res_voti->rowCount()) {
-						$res_voti = $dbi->prepare("$sqlvoti");
-						$res_voti->execute();
-						if (!$res_voti->rowCount()) { 
-							$res_voti = $dbi->prepare("$sqldesc");
-							$res_voti->execute();
-#include("TEST: $sqldesc");
-						}	
-					#}
-					
-					while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){ 
-						if($num_cand<$min or $num_cand>$offset) continue;
-				if($genere==4) $sevalidi=$voti;
-
-						if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
-						$temp[$num_cand]+=intval($voti);
-						$z=array_search($num_circ, $pos); 
-						if (!$z) $z=$minpos; #continue;
-						if ($num_cand>=$min and $num_cand<=$offset){
-							if(($num_circ>=$minpos and $num_circ <=$maxpos) or $num_circ==''){
-								$ar[0][$num_cand]=$num_cand.") ".$nome;
-								if ($desc_circ && $onetime!=$desc_circ) {$ar[($z)][0].=") ".$desc_circ; $onetime=$desc_circ;}
-								$percento=$voti;
-								if ($perc=='true' and $votitot[($z)]) 
-								{
-									$percento=$voti."<br /><span class=\"red\" style=\"font-size:80%;\"><i>".number_format($percar[$z][$num_cand],2)." %</i></span>";
-								}
-								
-								$ar[($z)][$num_cand]=$percento;
-							}	
+					if ($visvot!='cand'){ 
+						$posvoti=($offset);
+					if($tab15=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA')){
+							$ar[0][$posvoti+1]='<b>Voti Validi</b>';
+							$ar[0][$posvoti+2]='<b>Schede Nulle</b>';
+							$ar[0][$posvoti+3]='<b>Schede Bianche</b>';
+							$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
+							$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
+					}else{
+							$ar[0][$posvoti+1]='<b>Voti Validi</b>';
+							$ar[0][$posvoti+2]='<b>Voti Nulli</b>';
+							$ar[0][$posvoti+3]='<b>Voti Contestati</b>';
+							$ar[0][$posvoti+4]='<b>Solo Gruppo</b>';						
+					}
+						if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
+						//$posvoti++;
+							$ar[($z)][$posvoti+1]="<b>$valsez[$z]</b>";
+							$ar[($z)][$posvoti+2]="<b>$nulsez[$z]</b>";
+							$ar[($z)][$posvoti+3]="<b>$biasez[$z]</b>";
+							$ar[($z)][$posvoti+4]="<b>$consez[$z]</b>";
+							if($tab15=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA'))	$ar[($z)][$posvoti+5]="<b>$vonsez[$z]</b>"; 
 						}
-						if (!strstr( $op,'candidato')){
-							if (!isset($tempar[$num_cand])) $tempar[$num_cand]=0;
-							$tempar[$num_cand]+=intval($voti);
-						}
-						if ($visvot!='cand'){ 
-							$posvoti=($offset);
-						if($tab15=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA')){
-								$ar[0][$posvoti+1]='<b>Voti Validi</b>';
-								$ar[0][$posvoti+2]='<b>Schede Nulle</b>';
-								$ar[0][$posvoti+3]='<b>Schede Bianche</b>';
-								$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
-								$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
-						}else{
-								$ar[0][$posvoti+1]='<b>Voti Validi</b>';
-								$ar[0][$posvoti+2]='<b>Voti Nulli</b>';
-								$ar[0][$posvoti+3]='<b>Voti Contestati</b>';
-								$ar[0][$posvoti+4]='<b>Solo Gruppo</b>';						
-						}
-							if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
-							//$posvoti++;
-								$ar[($z)][$posvoti+1]="<b>$valsez[$z]</b>";
-								$ar[($z)][$posvoti+2]="<b>$nulsez[$z]</b>";
-								$ar[($z)][$posvoti+3]="<b>$biasez[$z]</b>";
-								$ar[($z)][$posvoti+4]="<b>$consez[$z]</b>";
-								if($tab15=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA'))	$ar[($z)][$posvoti+5]="<b>$vonsez[$z]</b>"; 
-							}
-						} 
-					}
+					} 
 				}
+			}
 
 				if (($offsetsez+1)>=$num_sez){  
@@ -760,5 +776,6 @@
 							$percento="<b>$voti<br /><span class=\"red\"><i>".$temp3[$key]." %</i></span></b>";
 						} else
-							$percento="<b>$voti</b>";
+							$percento="<b>$voti</b>";   #dettnulli
+						if($grupposg and $tab=='gruppo') $percento.="<br /><span style=\"color:blue;font-size:80%;\">".$tempsg[$key]." </span>";
 						$ar[1+$numsezmax][$key]=$percento;
 					}
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 389)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 390)
@@ -383,4 +383,5 @@
 		define("_GRUPPI","Candidati Presidente");
 		define("_GRUPPO","Candidato Presidente");
+		define("_SOLO_GRUPPO","Voti al solo gruppo");
 		define("_GRUPPOLOGO","Logo del Presidente");
 		define("_CONSI","Candidato Lista");
Index: trunk/client/modules/Elezioni/rss.php
===================================================================
--- trunk/client/modules/Elezioni/rss.php	(revision 389)
+++ trunk/client/modules/Elezioni/rss.php	(revision 390)
@@ -13,5 +13,5 @@
 
 
-
+#header('Content-Type: text/html;');
 header("Content-Type: text/xml");
 
@@ -47,5 +47,5 @@
 echo "<sy:updateBase>".$now."</sy:updateBase>\n\n";
 
-list ($gruppo,$pro)=grupporss();
+list ($gruppo,$pro,$titolo)=grupporss();
 
 
@@ -60,5 +60,5 @@
     echo "<link>$siteurl/modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index</link>\n";
     
-    echo "<description><![CDATA[".$vuota."]]></description>\n";
+#    echo "<description><![CDATA['aa']]></description>\n";
 
 	
@@ -67,5 +67,5 @@
 
     //echo "<guid isPermaLink=\"false\">noreply@ciao.it</guid>\n";
-    echo "<dc:subject>".$titolo."</dc:subject>\n";
+    echo "<dc:subject>$titolo</dc:subject>\n";
     echo "<dc:date>".$now."</dc:date>\n";
     echo "<dc:creator>Postato da ".$sitename."</dc:creator>\n";
@@ -81,8 +81,8 @@
 // gruppo
 function grupporss(){
-global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash;
-
-
-	
+global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$circondt1,$lang;
+
+
+
 	
 	if ($genere!=0){$tab="ele_voti_gruppo";}
@@ -160,5 +160,5 @@
 		
 					
-				$gruppinum=$res->fetch(PDO::FETCH_NUM);
+#				$gruppinum=$res->fetch(PDO::FETCH_NUM);
 				$altrivoti=0;
 				while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
@@ -187,5 +187,5 @@
 
 
-		
+		include_once("language/lang-$lang.php");
 		$titolo=""._PERCE." "._VOTIE."";
 		
@@ -196,5 +196,5 @@
 		
 
-		return array($gruppo,$pro);
+		return array($gruppo,$pro,$titolo);
                 
                
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 389)
+++ trunk/client/versione.php	(revision 390)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 389";
+$versione = "3.0 rev 390";
 $version_number = $versione;
-$datarel = "30 gennaio 2023";
+$datarel = "23 febbraio 2023";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 