Index: /trunk/admin/modules/Elezioni/aggiornadb.php
===================================================================
--- /trunk/admin/modules/Elezioni/aggiornadb.php	(revision 391)
+++ /trunk/admin/modules/Elezioni/aggiornadb.php	(revision 392)
@@ -129,5 +129,39 @@
 	$ret=aggiorna($sql,$dbi,'',$num);
 }	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_config non richiede questo aggiornamento</span><br>";
-
+if(controllo($prefix.'_config','aggiornamento',++$num))
+{
+	$sql="alter table `".$prefix."_config` DROP `aggiornamento`";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_config non richiede questo aggiornamento</span><br>";
+if(!controllo($prefix.'_ele_conf','votolista',++$num))
+{
+	$sql="ALTER TABLE `".$prefix."_ele_conf` ADD `votolista` enum('0', '1') NOT NULL DEFAULT '0' AFTER `supdisgiunto`";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_conf non richiede questo aggiornamento</span><br>";
+if(!controllo($prefix.'_ele_conf','inffisso',++$num))
+{
+	$sql="ALTER TABLE `".$prefix."_ele_conf` ADD `inffisso` enum('0', '1') NOT NULL DEFAULT '0' AFTER `votolista`";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_conf non richiede questo aggiornamento</span><br>";
+if(!controllo($prefix.'_ele_conf','supfisso',++$num))
+{
+	$sql="ALTER TABLE `".$prefix."_ele_conf` ADD `supfisso` enum('0', '1') NOT NULL DEFAULT '0' AFTER `inffisso`";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_conf non richiede questo aggiornamento</span><br>";
+if(!controllo($prefix.'_ele_conf','fascia_capoluogo',++$num))
+{
+	$sql="ALTER TABLE `".$prefix."_ele_conf` ADD `fascia_capoluogo` int(2) NOT NULL DEFAULT '0' AFTER `supfisso`";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_conf non richiede questo aggiornamento</span><br>";
+if(controllo($prefix.'_ele_sezioni','bianchi_lista',++$num))
+{
+	$sql="alter table `".$prefix."_ele_sezioni` DROP `bianchi_lista`";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_sezioni non richiede questo aggiornamento</span><br>";
+if(controllo($prefix.'_ele_sezioni','nulli_lista',++$num))
+{
+	$sql="alter table `".$prefix."_ele_sezioni` DROP `nulli_lista`";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_sezioni non richiede questo aggiornamento</span><br>";
 if(controllo($prefix.'_ele_voti_parziale','data',++$num))
 {
Index: /trunk/admin/modules/Elezioni/aggiornamento.php
===================================================================
--- /trunk/admin/modules/Elezioni/aggiornamento.php	(revision 391)
+++ /trunk/admin/modules/Elezioni/aggiornamento.php	(revision 392)
@@ -56,58 +56,67 @@
 	Header("Location: admin.php?op=aggiorna&id_cons_gen=$id_cons_gen&errmex=$errmex"); exit;
 }
+echo "<style>
+body
+{
+ width:100%;
+ margin:0 auto;
+ padding:0px;
+ font-family:helvetica;
+ background-color:#A9D0F5;
+}
+#wrapper
+{
+ text-align:left;
+ margin-left:20px;
+ padding:0px;
+ width:995px;
+}
+#wrapperleft
+{
+ text-align:center;
+ margin:0 auto;
+ padding:0px;
+ width:995px;
+}
+#wrapper h1
+{
+ margin-top:100px;
+ font-size:40px;
+}
+#wrapper h1 p
+{
+ font-size:17px;
+}
+#wrapper #feed_div
+{
+ background-color:white;
+ width:550px;
+ height:320px;
+ overflow-y:scroll;
+ margin-left:20px;
+ margin-top:20px;
+ text-align:left;
+ border:1px solid silver;
+ padding:10px;
+}
+#wrapper #feed_div h2
+{
+ font-size:17px;
+}
+#wrapper #feed_div .title a
+{
+ text-decoration:none;
+ color:#0080FF;
+}
+</style>";
 if(!$procedi){
 	ele(); 
 	echo "<hr><br><h2 style=\"text-align:center;\">Revisione installata: $myrev<br>Revisione disponibile: $newrev</h2><br><hr>";
 #####	
-	echo "<style>
-	body
-	{
-	 width:100%;
-	 margin:0 auto;
-	 padding:0px;
-	 font-family:helvetica;
-	 background-color:#A9D0F5;
-	}
-	#wrapper
-	{
-	 text-align:center;
-	 margin:0 auto;
-	 padding:0px;
-	 width:995px;
-	}
-	#wrapper h1
-	{
-	 margin-top:100px;
-	 font-size:40px;
-	}
-	#wrapper h1 p
-	{
-	 font-size:17px;
-	}
-	#wrapper #feed_div
-	{
-	 background-color:white;
-	 width:550px;
-	 height:320px;
-	 overflow-y:scroll;
-	 margin-left:220px;
-	 margin-top:20px;
-	 text-align:left;
-	 border:1px solid silver;
-	 padding:10px;
-	}
-	#wrapper #feed_div h2
-	{
-	 font-size:17px;
-	}
-	#wrapper #feed_div .title a
-	{
-	 text-decoration:none;
-	 color:#0080FF;
-	}
-	</style>";
+
 	echo "<div id=\"wrapper\">";
 	echo "<br><br><p>Log delle modifiche (massimo 100 righe)</p>";
 	echo "<div id=\"feed_div\">";
+	$myrev++;
 	$rss = simplexml_load_file("$host/ele3/log?format=rss&mode=stop_on_copy&rev=$newrev&stop_rev=$myrev&format=rss&max=100&verbose=on#");
 	#$rss = simplexml_load_file("$host/ele3/log?action=follow_copy&mode=stop_on_copy&rev=$newrev&stop_rev=$myrev&limit=100&verbose=on#");
@@ -168,5 +177,5 @@
 $client = '../client';
 #	$path = "/tmp/files";
-$backup = "./backup".$myrev;
+$backup = "backup".$myrev;
 $path = "./files/";
 $righe='';
@@ -283,6 +292,6 @@
 }
 $righedb='';
-if(file_exists("modules/Elezioni/aggiornadb.php")) {
-	$righe.= "<br><br><b>Aggiornamento del database</b>";
+if(file_exists($trunkadm."/modules/Elezioni/aggiornadb.php")) {
+	$ctrlerr=0;
 	ob_start();
 	include ('modules/Elezioni/aggiornadb.php');
@@ -290,6 +299,4 @@
 	ob_end_clean();
 }
-$righe.=$righedb;
-$righe.= "<br><br><b>Operazioni di aggiornamento concluse.</b>";
 #$dir = "./files/";
 if(file_exists($path)){
@@ -303,7 +310,18 @@
 $_SESSION['localrev']=$newrev;
 ele();
-echo "<hr><br><h2 style=\"text-align:center;\">Aggiornamento completato</h2><br><hr>";
-echo "<br><br><h3>Log delle operazioni</h3>";
+if($ctrlerr)
+	echo "<hr><br><h2 style=\"text-align:center;color:red;\">Aggiornamento completato con errori<br>Controllare i log di aggiornamento del database</h2><hr>";
+else
+	echo "<hr><br><h2 style=\"text-align:center;\">Aggiornamento completato</h2><br><hr>";
+echo "<br><h3>Log delle operazioni</h3>";
+
 echo $righe;
+echo "<div id=\"wrapper\">";
+echo "<br><p>Operazioni effettuate sul db: </p>";
+echo "<div id=\"feed_div\">";
+echo $righedb;
+echo "</div>";
+echo "</div>";
+echo "<br><b>Operazioni di aggiornamento concluse.</b><br>";
 include("footer.php");
 die();
Index: /trunk/admin/modules/Elezioni/ele_spoglio.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 391)
+++ /trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 392)
@@ -956,5 +956,5 @@
 		$tot_pref=0;
 		$totsg=0;
-		$pro=[];
+		$pro=array();
 		$pro['voti']='';
 		$pro['solo_gruppo']='';
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 391)
+++ /trunk/admin/versione.php	(revision 392)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 391";
+$versione = "3.0 rev 392";
 $version_number = $versione;
-$datarel = "25 febbraio 2023";
+$datarel = "27 febbraio 2023";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- /trunk/client/modules/Elezioni/gruppo.php	(revision 391)
+++ /trunk/client/modules/Elezioni/gruppo.php	(revision 392)
@@ -503,7 +503,7 @@
 				 echo "<div style=\"text-align:right;width:65%;margin-left:10px;margin-right:0px;font-size:12px; \">";
 				 echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 280px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
-				 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;grupposg=$grupposg&amp;id_lista=$id_lista&amp;id_circ=$id_circ\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+				 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;grupposg=$grupposg&amp;id_lista=$id_lista&amp;id_circ=$id_circ\"  target=\"_blank\"><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
 				}else{ 
-					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;grupposg=$grupposg&amp;id_lista=$id_lista\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;grupposg=$grupposg&amp;id_lista=$id_lista\" target=\"_blank\"><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
 					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;grupposg=$grupposg&amp;id_lista=$id_lista&amp;xls=1\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
 					echo "<img class=\"image\"  src=\"modules/Elezioni/images/rss.png\" alt=\"Export rss\" />";				
@@ -774,5 +774,5 @@
 						if ($perc=='true' and $voticompl) 
 						{
-							$percento="<b>$voti<br /><span class=\"red\"><i>".$temp3[$key]." %</i></span></b>";
+							$percento="<b>$voti<br /><span class=\"red\"><i>".number_format($temp3[$key],2)." %</i></span></b>";
 						} else
 							$percento="<b>$voti</b>";   #dettnulli
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 391)
+++ /trunk/client/versione.php	(revision 392)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 391";
+$versione = "3.0 rev 392";
 $version_number = $versione;
-$datarel = "25 febbraio 2023";
+$datarel = "27 febbraio 2023";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 